import { Duration } from '@salesforce/kit';
import { SfCommand } from '@salesforce/sf-plugins-core';
import { DeployResultJson, TestLevel } from '../../../utils/types.js';
export default class DeployMetadataValidate extends SfCommand<DeployResultJson> {
    static readonly description: string;
    static readonly summary: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        'api-version': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        async: import("@oclif/core/interfaces").BooleanFlag<boolean>;
        concise: import("@oclif/core/interfaces").BooleanFlag<boolean>;
        manifest: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        metadata: import("@oclif/core/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'source-dir': import("@oclif/core/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'metadata-dir': import("@oclif/core/interfaces").OptionFlag<import("../../../utils/types.js").PathInfo | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'single-package': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'target-org': import("@oclif/core/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/interfaces").CustomOptions>;
        tests: import("@oclif/core/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'test-level': import("@oclif/core/interfaces").OptionFlag<TestLevel, import("@oclif/core/interfaces").CustomOptions>;
        verbose: import("@oclif/core/interfaces").BooleanFlag<boolean>;
        wait: import("@oclif/core/interfaces").OptionFlag<Duration, import("@oclif/core/interfaces").CustomOptions>;
        'ignore-warnings': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'coverage-formatters': import("@oclif/core/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/interfaces").CustomOptions>;
        junit: import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'results-dir': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'purge-on-delete': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'pre-destructive-changes': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'post-destructive-changes': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
    };
    static configurationVariablesSection: import("@oclif/core").HelpSection;
    static envVariablesSection: import("@oclif/core").HelpSection;
    static errorCodes: import("@oclif/core").HelpSection;
    private deployUrl?;
    run(): Promise<DeployResultJson>;
    private mixinUrlMeta;
}
